id: wordpress-one-click-demo-import

info:
  name: One Click Demo Import Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/one-click-demo-import/
  metadata:
    plugin_namespace: one-click-demo-import
    wpscan: https://wpscan.com/plugin/one-click-demo-import
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/one-click-demo-import/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/one-click-demo-import.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022100f86fec3ec8b981303dcf1be16418a958eb66da742f3e762a3a16e266cc5d9dff022074afc3a0b70c0961e5b8ee10d002e24fe6991cb549b116e2fe854cc6205885f9:922c64590222798bb761d5b6d8e72950